
TYPO3.Flow - Bug # 44280

Status: Resolved Priority: Should have
Author: Tarcisio Fedrizzi Category: - Migrations -
Created: 2013-01-03 Assigned To: Karsten Dambekalns
Updated: 2013-01-15 Due date:
PHP Version:
Has patch: Yes
Complexity: no-brainer
Affected Flow version: (any)
Subject: Git core:migration check for applied version fail
Description

When I migrate a package for the changes introduced in the code I get the following error:

Applying TYPO3.FLOW3-201201261636
fatal: Invalid object name 'Migration'.
  Migrating Package.Name
    No changes were committed.

  -------------------------------------------------------------------------------
   Notes
  -------------------------------------------------------------------------------
  * \TYPO3\FLOW3\MVC\Web\RequestBuilder does not exist anymore. If you need to
    create requests, do "new ActionRequest($parentRequest)".
...

I tracked down the problem to the migration script Git.php. The problem is in the
grep parameter specified without the = operator.
The attached patch solves the problem.

Associated revisions
Revision a898458d - 2013-01-14 11:50 - Karsten Dambekalns

[BUGFIX] Fix git error with "core:migrate --status" command

Obviously there are some different ways git handles the --grep option
to the log command. This changes should make it work everywhere, and
uses the syntax actually spelled out in the help text.

Change-Id: Ie8689158d30732e537f74c09d55141e20510ce4e
Fixes: #44280
Releases: master, 2.0, 1.1

Revision 1e14c97c - 2013-01-15 09:47 - Karsten Dambekalns

[BUGFIX] Fix git error with "core:migrate --status" command

Obviously there are some different ways git handles the --grep option
to the log command. This changes should make it work everywhere, and
uses the syntax actually spelled out in the help text.

Change-Id: Ie8689158d30732e537f74c09d55141e20510ce4e
Fixes: #44280
Releases: master, 2.0, 1.1

Revision dee953cb - 2013-01-15 09:48 - Karsten Dambekalns

[BUGFIX] Fix git error with "core:migrate --status" command

Obviously there are some different ways git handles the --grep option
to the log command. This changes should make it work everywhere, and
uses the syntax actually spelled out in the help text.

Change-Id: Ie8689158d30732e537f74c09d55141e20510ce4e
Fixes: #44280
Releases: master, 2.0, 1.1

History
#1 - 2013-01-09 12:07 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

What Git version are you using? And under what OS/shell combination?

#2 - 2013-01-10 09:38 - Tarcisio Fedrizzi

Here are the info:
- GIT version: 1.7.2.5
- OS: Debian Squeeze 6.0
- Shell: /bin/bash version 4.1.5

About the grep option the manpage for git says:

--grep=<pattern>
           Limit the commits output to ones with log message that matches the specified pattern (regular expression).

I've checked more recent version (1.8.1) manpage and the value for the grep option is still specified to be used with the = operator.

#3 - 2013-01-14 11:49 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Target version set to 2.0

#4 - 2013-01-14 11:51 - Karsten Dambekalns
- Status changed from Accepted to Under Review
See https://review.typo3.org/17518

#5 - 2013-01-15 10:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dee953cb80b6e05af25c29ec5895b7ec758394e1.

Files
migration-applied-check.patch 675 Bytes 2013-01-03 Tarcisio Fedrizzi
